Foreman - Feature #22892

Make audited associations extendable from plugins
03/14/2018 08:10 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulan
Category: Audit Log
Target version: 1.18.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5322
Description

Since audited can't be called twice in the same model, plugins can't easily extend existing audited definition in core. For attributes
this is not a huge problem as we always use :except so all attributes added from plugins are audited but associations, that are listed
explicitly can't be added. Since Foreman adds this using DirtyAssociations module, it should also provide a way to add more
associations from plugins.

Associated revisions

Revision 4a1f6711 - 03/20/2018 11:28 AM - Marek Hulan

Fixes #22892 - allow extending audited associations

History

#1 - 03/14/2018 08:13 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/5322 added

#2 - 03/20/2018 11:28 AM - Tomer Brisker

- translation missing: en.field_release set to 330

#3 - 03/20/2018 12:02 PM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 4a1f6711a085d64fcf4efbd7ab36e2ae365ea573.
